%define upstream_name    KiokuDB-Cmd
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    A role for command line tools which accept entry IDs as options
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/KiokuDB/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Cmd)
BuildRequires: perl(KiokuDB)
BuildRequires: perl(MooseX::App::Cmd)
BuildRequires: perl(MooseX::Getopt)
BuildRequires: perl(MooseX::Types::Path::Class)
BuildRequires: perl(Proc::InvokeEditor)
BuildArch: noarch


%description
This is an the App::Cmd manpage based, pluggable suite of commands for the
KiokuDB manpage.

Some commands such as the KiokuDB::Cmd::Command::Dump manpage are part of
the core distributions, but backends can provide their own subcommands as
well.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Jan 16 2021 neoclust <neoclust> 0.30.0-9.mga8
+ Revision: 1672020
- Use new make macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.30.0-8.mga7
+ Revision: 1268858
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-7.mga6
+ Revision: 1028928
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.30.0-6.mga6
+ Revision: 943927
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-5.mga5
+ Revision: 746974
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-4.mga5
+ Revision: 685158
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.30.0-3.mga4
+ Revision: 512465
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 368837
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 27 2011 jquelin <jquelin> 0.30.0-1.mga1
+ Revision: 41848
- mageia rebuild
- imported package perl-KiokuDB-Cmd


* Sat Dec 25 2010 Shlomi Fish <shlomif@mandriva.org> 0.30.0-1mdv2011.0
+ Revision: 624864
- import perl-KiokuDB-Cmd

